Name:           gimp-fourier-plugin
Version:        0.4.5
Release:        %mkrel 3
Summary:        A simple plug-in to do fourier transform on your image
Group:          Graphics/Editors and Converters
License:        GPLv3+
URL:            https://www.lprp.fr/gimp_plugin_en/
Source0:        https://github.com/rpeyron/plugin-gimp-fourier/releases/download/v%{version}+gimp3rc1/gimp-plugin-fourier-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(gimp-3.0)
BuildRequires:  dos2unix
Requires:       gimp

%description
A simple plug-in to do fourier transform on your image. The major advantage of
this plugin is to be able to work with the transformed image inside GIMP.


%prep
%autosetup -n gimp-plugin-fourier-%{version} -p1

# Remove pre-compiled executable
rm -vf fourier

for f in README.Moire
do
  iconv --from-code=ISO-8859-1 --to-code=UTF-8 "${f}" > "${f}.tmp"
  dos2unix "${f}.tmp"
  touch -r "${f}" "${f}.tmp"
  mv "${f}.tmp" "${f}"
done


%build
%configure --enable-gimp3-fourier
%make_build


%install
%make_install

%find_lang gimp30-fourier

# Handle docs in %%files section
rm -rf %{buildroot}%{_datadir}/gimp-fourier-plugin/

# Upstream provides no tests.


%files -f gimp30-fourier.lang
%license LICENSE
%doc README.md README.Moire
%{_libdir}/gimp/3.0/plug-ins/fourier


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 0.4.5-3.mga10
+ Revision: 2249562
- Mageia 10 Mass Rebuild

* Sun Mar 23 2025 daviddavid <daviddavid> 0.4.5-2.mga10
+ Revision: 2169232
- switch to gimp v3

* Mon May 06 2024 daviddavid <daviddavid> 0.4.5-1.mga10
+ Revision: 2062573
- new version: 0.4.5

* Wed Aug 24 2022 wally <wally> 0.4.4-1.mga9
+ Revision: 1879944
- new version 0.4.4
- import based on .spec from Fedora

